<?php

/**
 * Project:     Ant: sources.list generator
 * File:        init.php
 *
 * This application is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */


require_once dirname(__FILE__)."/DB.php";
require_once dirname(__FILE__)."/config.inc.php";
require dirname(__FILE__)."/Smarty.class.php";
require dirname(__FILE__)."/core.php";
require dirname(__FILE__)."/security.php";

$dsn = "mysql://".$DBuser.":".$DBpass."@".$DBhost."/".$DBname;
$options = array(
	'debug'		=> 2,
	'portability'	=> DB_PORTABILITY_ALL,
);

$db =& DB::connect($dsn,$options);
if (PEAR::isError($db)) {
	die($db->getMessage());
}

$query =& $db->query("SET NAMES utf8");

$core = new Core;
$secure = new Security;

$smarty = new Smarty;
$smarty->compile_check = true;

?>
